Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354548 - No journalctl support (version too old)
Summary: No journalctl support (version too old)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: psad
Version: 24
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 14:10 UTC by Kees de Jong
Modified: 2017-07-31 18:45 UTC (History)
2 users (show)

Fixed In Version: psad-2.4.3-3.fc25 psad-2.4.3-3.fc24 psad-2.4.3-3.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-07 23:24:15 UTC


Attachments (Terms of Use)

Description Kees de Jong 2016-07-11 14:10:49 UTC
Description of problem: In the current available version in Fedora there is no journalctl support.

On this page the following is stated at line 165: https://fossies.org/linux/psad/psad.conf

"However, if psad is running on a system where systemd
is installed and syslog messages are accessed via journalctl instead of
being written to the filesystem, then the ENABLE_FW_MSG_READ_CMD
functionality should be used to take over (see below)."

This feature was added in version 2.4.0, Fedora still runs 2.2.1. The latest psad version is 2.4.3. Can you please upgrade the package to the latest greatest?

psad-2.4.0 (03/18/2015):
    - Added support for reading syslog messages from journalctl on systems
      where syslog data is tied into systemd. psad detects journalctl by
      default, but this can be disabled via the AUTO_DETECT_JOURNALCTL
      variable. When enabled, by default the command executed by psad to
      acquire syslog data is '/bin/journalctl -f -k', but both the command
      path and the command args can be altered with the FW_MSG_READ_CMD and
      FW_MSG_READ_CMD_ARGS variables respectively.


Version-Release number of selected component (if applicable): psad-2.2.1-7.fc24.x86_64

Comment 1 Dominik 'Rathann' Mierzejewski 2016-07-29 09:47:33 UTC
Please also enable upstream release monitoring integration in pkgdb (https://admin.fedoraproject.org/pkgdb/package/psad) to have bugs automatically filled for new releases.

Comment 2 Fedora Update System 2016-10-26 20:31:57 UTC
psad-2.4.3-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7eada51d4c

Comment 3 Fedora Update System 2016-10-26 22:25:59 UTC
psad-2.4.3-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d0c111aa20

Comment 4 Fedora Update System 2016-10-28 15:54:59 UTC
psad-2.4.3-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b612df79e6

Comment 5 Fedora Update System 2016-10-31 08:51:59 UTC
psad-2.4.3-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d0c111aa20

Comment 6 Fedora Update System 2016-10-31 08:52:21 UTC
psad-2.4.3-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b612df79e6

Comment 7 Fedora Update System 2016-10-31 10:21:22 UTC
psad-2.4.3-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7eada51d4c

Comment 8 Fedora Update System 2016-11-03 18:21:07 UTC
psad-2.4.3-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-11-07 23:24:15 UTC
psad-2.4.3-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-11-08 22:52:50 UTC
psad-2.4.3-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-11-19 21:02:15 UTC
psad-2.4.3-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.